Page MenuHomePhabricator

Add notice component
Closed, ResolvedPublic

Description

Extract IconMessageBox from Termbox and add Notice flavor. Possibly upstream into shared repository.

https://tools-static.wmflabs.org/wikibase-termbox-storybook/?path=/story/iconmessagebox--error

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterbridge: adjustments of IconMessageBox
mediawiki/extensions/Wikibase : masterbridge: Add notice component

Event Timeline

Michael created this task.Nov 6 2019, 12:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 6 2019, 12:08 PM

Change 552520 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] bridge: Add notice component

https://gerrit.wikimedia.org/r/552520

Change 552520 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Add notice component

https://gerrit.wikimedia.org/r/552520

Lucas_Werkmeister_WMDE closed this task as Resolved.Tue, Nov 26, 12:54 PM
Lucas_Werkmeister_WMDE reopened this task as Open.

Actually, let’s put this in verification. Can someone update the storybook? (See T235763 for instructions.)

Michael claimed this task.Tue, Nov 26, 1:00 PM
Michael added a subscriber: Matthias_Geisler_WMDE.

Actually, let’s put this in verification. Can someone update the storybook? (See T235763 for instructions.)

Can do.

Restricted Application added a project: User-Michael. · View Herald TranscriptTue, Nov 26, 1:00 PM

Mentioned in SAL (#wikimedia-cloud) [2019-11-26T13:04:36Z] <wm-bot> <migr> npm run build-storybook && tar -C storybook-static -c . | ssh toolforge sudo -i -u tools.wikibase-databridge-storybook sh -c rm -rf www/static/*; tar -C www/static/ -x # deploy locally built storybook (T237527)

Michael removed Michael as the assignee of this task.Tue, Nov 26, 1:05 PM

Actually, let’s put this in verification. Can someone update the storybook? (See T235763 for instructions.)

Can do.

Done.

This component can be verified there: https://tools-static.wmflabs.org/wikibase-databridge-storybook/?path=/story/iconmessagebox--notice

Hello, team! Charlie and I noticed that the size of the infoFilled icon is not correct in Storybook. Following Wikimedia's Style guide, the size of this icon should be 20x20px.

(Personally, let me anticipate that we'll be defining new standard icon sizes soon, 20px being the L size)

Thanks!

Change 553328 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] bridge: adjustments of IconMessageBox

https://gerrit.wikimedia.org/r/553328

Change 553328 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: adjustments of IconMessageBox

https://gerrit.wikimedia.org/r/553328

@Charlie_WMDE @Sarai-WMDE: We adjusted the global styles of the Storybook so that it should be by default closer to the OOUI Demo page. Could you verify this component again?

Mentioned in SAL (#wikimedia-cloud) [2019-11-28T16:47:41Z] <wm-bot> <migr> npm run build-storybook && tar -C storybook-static -c . | ssh toolforge "sudo -i -u tools.wikibase-databridge-storybook sh -c 'rm -rf www/static/*; tar -C www/static/ -x'" # deploy locally built storybook (T237527, 2nd revision with adjusted storybook config)

Charlie_WMDE closed this task as Resolved.Mon, Dec 2, 12:42 PM
Charlie_WMDE moved this task from Doing to Done on the Wikidata-Bridge-Sprint-9 board.

looks good!